# Retrieve the detail for this token

A token representing a payment instrument.

Endpoint: GET /tokens/{tokenId}
Version: 2
Security: BasicAuth

## Path parameters:

  - `tokenId` (string, required)
    Access Worldpay encrypted token.

## Response 200 fields (application/vnd.worldpay.tokens-v2.hal+json):

  - `tokenPaymentInstrument` (object, required)

  - `tokenPaymentInstrument.type` (string)

  - `tokenPaymentInstrument.href` (string)

  - `description` (string, required)
    A description of your token. If not supplied, a default description is created for you.

  - `tokenExpiryDateTime` (string, required)
    The date/time after which the token is unavailable, expressed in ISO 8601 format. If not supplied, the default expiry date/time is 7 days in Try and 4 years in the Live environment.We extend the expiry by 7 days or 4 years after any use of the token, if under half of the time remains on the token.

  - `paymentInstrument` (object, required)

  - `paymentInstrument.cardNumber` (string, required)
    Contains your customer's card number.

  - `paymentInstrument.cardExpiryDate` (object, required)

  - `paymentInstrument.cardExpiryDate.month` (integer, required)

  - `paymentInstrument.cardExpiryDate.year` (integer, required)

  - `paymentInstrument.cardHolderName` (string)
    The name on the customer's card.

  - `paymentInstrument.bin` (string)

  - `paymentInstrument.brand` (string)

  - `paymentInstrument.billingAddress` (object)
    Contains the billing address information.

  - `paymentInstrument.billingAddress.address1` (string, required)

  - `paymentInstrument.billingAddress.postalCode` (string, required)

  - `paymentInstrument.billingAddress.city` (string, required)

  - `paymentInstrument.billingAddress.countryCode` (string, required)

  - `paymentInstrument.billingAddress.address2` (string)

  - `paymentInstrument.billingAddress.address3` (string)

  - `paymentInstrument.billingAddress.state` (string)

  - `paymentInstrument.networkType` (string)

  - `paymentInstrument.last4Digits` (string)

  - `tokenId` (string)

  - `namespace` (string)

  - `schemeTransactionReference` (string)
    A value provided by Visa or Mastercard which tracks recurring transactions.Note: You are not normally expected to provide a value for schemeTransactionReference. If you are using the [Verified Tokens API](/products/verified-tokens/@v3/index.md) to create tokens, it is automatically included where applicable.


